Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043255
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-02-18 16:102020-03-02 12:16
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision0740967153b3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043255: Apply new HQL Style in SE_Locator_Activate.java

DescriptionCostAdjustmentUtils.java has 2 HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0117940)
inigo_lerga (developer)
2020-02-19 10:13

--Test Plan Mantis HQL queries--
As the F&B International Group Admin role:
    - Go to the Warehouse and Storage Bins window and
      create a new record with any Search Key, Name and
      Location desired.
      Save the record.
      Press the Active checkbox to deactivate the record.
      
    #In this moment the modified HQL is executed#

    - In the previously created record, go to the Storage
      Bins Tab and create a new record with any Search Key,
      Row, Stack and Levels (X,Y,Z) desired.
      Save the record.
      Press the Active checkbox to deactivate the record.
    
    #In this moment the modified HQL is executed#
(0118236)
hgbot (developer)
2020-03-02 12:15

Repository: erp/devel/pi
Changeset: 0740967153b327cbf1607e31011a416c35f894d9
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Feb 19 10:14:50 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0740967153b327cbf1607e31011a416c35f894d9 [^]

fixes BUG-43255:Applied new HQL Style

---
M src/org/openbravo/erpCommon/ad_callouts/SE_Locator_Activate.java
---
(0118237)
hgbot (developer)
2020-03-02 12:15

Repository: erp/devel/pi
Changeset: 713fce4e12ba6181467d2fcdf3e95cbc45f49c4d
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Feb 19 10:28:02 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/713fce4e12ba6181467d2fcdf3e95cbc45f49c4d [^]

related to ISSUE-43255: Applied Sonarlint suggestions

Sonarlint suggestions applied.
Finals added.
Code refactored to be more legible in different methods.

---
M src/org/openbravo/erpCommon/ad_callouts/SE_Locator_Activate.java
---
(0118238)
hgbot (developer)
2020-03-02 12:15

Repository: erp/devel/pi
Changeset: 724a769ba66130bb22466bc4d6e56b50da3f53ae
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 02 12:15:19 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/724a769ba66130bb22466bc4d6e56b50da3f53ae [^]

Related to ISSUE-43255. Reordered methods

---
M src/org/openbravo/erpCommon/ad_callouts/SE_Locator_Activate.java
---
(0118239)
dmiguelez (developer)
2020-03-02 12:16

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-02-18 16:10 inigo_lerga New Issue
2020-02-18 16:10 inigo_lerga Assigned To => inigo_lerga
2020-02-18 16:10 inigo_lerga Modules => Core
2020-02-18 16:10 inigo_lerga Triggers an Emergency Pack => No
2020-02-18 16:11 inigo_lerga Description Updated View Revisions
2020-02-18 16:11 inigo_lerga Relationship added related to 0041287
2020-02-19 10:13 inigo_lerga Status new => scheduled
2020-02-19 10:13 inigo_lerga Note Added: 0117940
2020-03-02 12:15 hgbot Checkin
2020-03-02 12:15 hgbot Note Added: 0118236
2020-03-02 12:15 hgbot Status scheduled => resolved
2020-03-02 12:15 hgbot Resolution open => fixed
2020-03-02 12:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0740967153b327cbf1607e31011a416c35f894d9 [^]
2020-03-02 12:15 hgbot Checkin
2020-03-02 12:15 hgbot Note Added: 0118237
2020-03-02 12:15 hgbot Checkin
2020-03-02 12:15 hgbot Note Added: 0118238
2020-03-02 12:16 dmiguelez Review Assigned To => dmiguelez
2020-03-02 12:16 dmiguelez Note Added: 0118239
2020-03-02 12:16 dmiguelez Status resolved => closed
2020-03-02 12:16 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker